# git-rename-branch(1) Manual Page

## NAME

git-rename-branch - Rename a branch and correctly preserve all downstream relationships.

## SYNOPSIS

    git rename-branch <new_name>
    git rename-branch <old_name> <new_name>

## DESCRIPTION

Rename the current (or specified) branch, then update all dowstream branches' tracking information to preserve inter-branch dependencies.

## SEE ALSO

git-rebase-update(1), git-reparent-branch(1), git-new-branch(1), git-upstream-diff(1)

## CHROMIUM DEPOT_TOOLS

Part of the chromium depot_tools(7) suite. These tools are meant to assist with the development of chromium and related projects. Download the tools from here.